[ovirt-users] Re: Switching 4.4 hosted-engine from Linux 8 to Stream 8 before upgrading to 4.5

2022-11-26 Thread Diggy Mc
Hello.?! Anyone out there? ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement: https://www.ovirt.org/privacy-policy.html oVirt Code of Conduct:

[ovirt-users] Switching 4.4 hosted-engine from Linux 8 to Stream 8 before upgrading to 4.5

2022-11-18 Thread Diggy Mc
It is my understanding that the 4.4 engine must be on Stream 8 before it can be upgraded to oVirt version 4.5. Is there an easy and reliable way to switch a 4.4 hosted-engine that is still using oVirt's CentOS Linux 8 repositories over to oVirt's CentOS Stream 8 repositories? If yes, how?

[ovirt-users] Re: expired host certificate

2022-11-04 Thread Diggy Mc
Nevermind. I found "Enroll Certificate" I had looked under "Management", but not "Installation". **sigh** Sorry for wasting your time. :/ The host is back up and running. ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to

[ovirt-users] Re: expired host certificate

2022-11-04 Thread Diggy Mc
Furthermore, I cannot put the host into local maintenance. The command: "hosted-engine --set-maintenance --mode=local" yields the error: RuntimeError: Couldn't connect to VDSM within 60 seconds "hosted-engine --vm-status" returns the error: The hosted engine configuration has not been retrieved

[ovirt-users] Re: expired host certificate

2022-11-04 Thread Diggy Mc
How do I run Enroll Certificate ??? It doesn't appear to be a command line command. As for upgrading to 4.5, I can't upgrade because the hosted engine is running CentOS Linux, not CentOS Stream. ___ Users mailing list -- users@ovirt.org To

[ovirt-users] expired host certificate

2022-11-02 Thread Diggy Mc
I'm running oVirt 4.4. The "libvirtd" service won't start and it appears to be because of an expired certificate. How do I create and install a new certificate on the host. Your help is much appreciated. -- Diggy --- ___ Users mailing list --

[ovirt-users] Re: unable to upgrade engine to 4.4.10 from 4.4.8

2022-04-28 Thread Diggy Mc
> I would add, as you are on CentOS Linux 8, I would recommend switching it > either to some other RHEL clone (Alma, Rocky,...) or to CentOS Stream as a > first step. Wouldn't updating the oVirt packages (# dnf update ovirt\*setup\*) switch the repositories to CentOS Stream?

[ovirt-users] Re: unable to upgrade engine to 4.4.10 from 4.4.8

2022-04-28 Thread Diggy Mc
> Redownload the latest 4.4 release rpm and install it on the hosts. That > should fix your mirrorlists. Patrick, I'm not sure how updating the hosts first would fix the mirrorlist/repositories on the hosted engine. The command I ran on the hosted engine, per the published instructions was: #

[ovirt-users] unable to upgrade engine to 4.4.10 from 4.4.8

2022-04-27 Thread Diggy Mc
I am unable to upgrade my hosted engine from version 4.4.8 to 4.4.10. I suspect the problem is because of the obsolescence of CentOS Linux 8. DNF gives me the following error: CentOS Linux 8 - AppStream Error: Failed to download metadata for repo 'appstream': Cannot prepare internal

[ovirt-users] Re: Cannot log into oVirt Manager - certificate issue

2022-01-31 Thread Diggy Mc
Okay. Running the command 'engine-setup --offline' fixed the certificate problem without upgrading the engine. While engine-setup was running it made reference to the following page regarding PKI certificates. I'm posting it here for reference by other people who may encounter the same

[ovirt-users] Re: Cannot log into oVirt Manager - certificate issue

2022-01-31 Thread Diggy Mc
> On Sun, Jan 30, 2022 at 8:16 PM Diggy Mc > If it's a certificate created by engine-setup for you, you can run > 'engine-setup' and it can recreate it for you. If you do not want to > update the system, you can run it with 'engine-setup --offline'. > Otherwise, if it's a cert

[ovirt-users] Cannot log into oVirt Manager - certificate issue

2022-01-30 Thread Diggy Mc
I cannot log into oVirt Manager. My browser gave me a warning that the site's certificate has expired. Then when I try to log in, I receive the following error message: "PKIX path validation failed: java.security.cert.CertPathValidatorException: validity check failed" How can I fix this

[ovirt-users] Re: [External] : Unrecoverable NMI error on HP Gen8 hosts.

2022-01-08 Thread Diggy Mc
> Hi Diggy, > > I'm not sure if it's an oVirt issue, but it can be a network or firewall > issue. > Did you test the connection between oVirt hosts and the iLO interfaces? > Simple tests like ping to ensure one host can reach others iLO interfaces and > ipmitool to > ensure you can connect to

[ovirt-users] Re: Unrecoverable NMI error on HP Gen8 hosts.

2022-01-08 Thread Diggy Mc
These Gen8 servers have iLO-3 on them. They are at the latest version of iLO. I'm not familiar with 'fencing'. Any guidance you can offer on the subject would be greatly appreciated. ___ Users mailing list -- users@ovirt.org To unsubscribe send an

[ovirt-users] Re: Unrecoverable NMI error on HP Gen8 hosts.

2022-01-08 Thread Diggy Mc
> On Thu, Dec 30, 2021 at 8:02 PM Diggy Mc > Are you sure it's related to oVirt at all? To Linux? > Did you check the hardware? Contact your hardware support? Perhaps check > some on-board diagnostics/logs/whatever? > > Good luck and best regards, Before puttin

[ovirt-users] Unrecoverable NMI error on HP Gen8 hosts.

2021-12-30 Thread Diggy Mc
I have oVirt Node v4.4.8.3 running on several HP ProLiant Gen8 servers. I receive the following error under certain circumstances: "An Unrecoverable System Error (NMI) has occurred (iLO application watchdog timeout NMI, Service Information: 0x002B, 0x)" When a host starts taking a

[ovirt-users] Re: fetch engine's version

2021-12-19 Thread Diggy Mc
Didi, Excellent information. Thank you. I will use $PACKAGE_VERSION from the 'engine-prolog.sh' file. ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement:

[ovirt-users] Re: fetch engine's version

2021-12-18 Thread Diggy Mc
On a related side-note, it would be nice if future versions of 'engine-backup' included the engine's version number in the log file that 'engine-backup' outputs. ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to

[ovirt-users] fetch engine's version

2021-12-18 Thread Diggy Mc
Is there a command I can run on the engine to retrieve the engine's version number? I ask because I am writing a bash script to automatically backup the engine database via the 'engine-backup' command and would like to include the engine's current version number with the backup. A response is

[ovirt-users] Re: Hosted Engine cluster version compatib.

2021-09-24 Thread Diggy Mc
Thanks everyone for all the support. After fixing the TZ for the HE, I was able to upgrade cluster compatibility. Having said that, I still had to go through the properties of over 100 VMs to verify/correct the TZ because of that nasty bug. And of course I had to deal with the VirtIO

[ovirt-users] Re: Hosted Engine cluster version compatib.

2021-09-23 Thread Diggy Mc
The only VM that my cluster compatibility upgrade complains about is "HostedEngine". I'm not about to test my SQL knowledge by writing my own SQL command and I see no reason to touch VMs that don't upset the cluster upgrade. Can you please provide a SQL command that corrects ONLY the

[ovirt-users] Re: Hosted Engine cluster version compatib.

2021-09-23 Thread Diggy Mc
I just upgraded the HE to 4.4.8.6 and rebooted it. I still cannot upgrade the cluster compatibility level. Cannot edit properties of the HE either. Error I receive when trying to update the compatibility level: Error while executing action: Cannot update cluster because the update triggered

[ovirt-users] Re: Hosted Engine cluster version compatib.

2021-09-22 Thread Diggy Mc
Hosted Engine properties cannot be edited since the upgrade. I also restarted the HE and it made no difference. Even just opening the HE properties and clicking OKAY without changing anything yields the following error: There was an attempt to change Hosted Engine VM values that are locked.

[ovirt-users] Re: Hosted Engine cluster version compatib.

2021-09-19 Thread Diggy Mc
LOL. Tried it. Didn't work. :( ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement: https://www.ovirt.org/privacy-policy.html oVirt Code of Conduct:

[ovirt-users] Re: Hosted Engine cluster version compatib.

2021-09-19 Thread Diggy Mc
I too am having the exact same problem. The HE and all hosts are now at 4.4.8 and seem to be running fine. Cannot upgrade cluster compatibility level though because of something to do with the HE. Kind of annoying since it is the last thing to do to complete the upgrade. Hmph...

[ovirt-users] Re: host upgrade problems galore

2021-09-15 Thread Diggy Mc
You can now discard this thread !!! Prior to creating this thread, I also tried to copy the networks from another functioning host thinking that might be needed. Did not get any errors for the copy function, but the networks were not copied. That's when started this thread. Since then, I

[ovirt-users] host upgrade problems galore

2021-09-15 Thread Diggy Mc
Brief background: Simple environment -- self-hosted engine and two oVirt Node hosts all running 4.4.4. Couple NFS-based data storage domains and a few VLAN-based networks. Upgrading the Hosted Engine from 4.4.4 to 4.4.8 appears to have completed successfully and without incident. I followed

[ovirt-users] Re: HE and Node upgrade procedures

2021-09-14 Thread Diggy Mc
Thank you for the info. It is proving very useful. I was able to upgrade the Hosted Engine successfully and without incident. Unfortunately upgrading hosts failed. I'll create a new thread for that. Anyways, thanks again. Your help got things moving on my end. :)

[ovirt-users] HE and Node upgrade procedures

2021-09-09 Thread Diggy Mc
Where can I find the documentation on the procedure to upgrade the Hosted Engine as well as the oVirt Nodes? Specifically, both the HE and Nodes are currently at 4.4.4 and I would like to upgrade to 4.4.8.3. Also, if I remember correctly, 4.4.4 was the last version to use CentOS Linux 8 and

[ovirt-users] Re: Unable to export VM from data storage domain.

2021-08-31 Thread Diggy Mc
I believe I have significantly relevant information to help isolate the problem and I do believe it is a bug. First, I previously said that "all exported VMs" were affected. That is incorrect and therefore misleading. I apologize. The problem at hand appears to have to do with preallocated

[ovirt-users] Re: Unable to export VM from data storage domain.

2021-08-31 Thread Diggy Mc
Here is the output from the SQL query you requested: Expanded display is on. -[ RECORD 1 ]-+- id| 0f9d53aa-5e96-4186-9a7e-9f8e1400839c name | hosted_storage storage_domain_id | 2d8dab33-a8cd-4183-b473-711128a6c88e qos_id

[ovirt-users] Re: Unable to export VM from data storage domain.

2021-08-26 Thread Diggy Mc
Okay. Thanks. I will get that info for you ASAP. ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement: https://www.ovirt.org/privacy-policy.html oVirt Code of Conduct:

[ovirt-users] Unable to export VM from data storage domain.

2021-08-22 Thread Diggy Mc
I'm running oVirt 4.4.4 with two data storage domains. One domain is where the production VMs run. The second domain is where I make backup copies of the VMs in the event of problems with the main production VMs. I make backups using the export option from the GUI's dropdown list. I just

[ovirt-users] Re: cannot export - "r.original_template is undefined"

2021-04-07 Thread Diggy Mc
Attached is a screenshot of the error in the GUI. Also, I could not find any relevant entries in either the engine or UI log files. ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement:

[ovirt-users] cannot export - "r.original_template is undefined"

2021-04-05 Thread Diggy Mc
I cannot export a VM to a data domain. I receive the error: Export VM Failed r.original_template is undefined The VM originated as an OVA provided by a third party. After importing the OVA and customizing the VM, I wanted to export it for backup purposes, but cannot. I am running oVirt

[ovirt-users] Re: oVirt + Proxmox Backup Server

2021-01-28 Thread Diggy Mc
P.S. My environment is oVirt 4.4.4. ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement: https://www.ovirt.org/privacy-policy.html oVirt Code of Conduct:

[ovirt-users] oVirt + Proxmox Backup Server

2021-01-28 Thread Diggy Mc
Is anyone using Proxmox Backup Server to backup VMs in an oVirt environment? Is it even possible? I'm looking for a free open-source solution for my backup needs (backup VMs as well as traditional file backups). Any guidance is appreciated. ___

[ovirt-users] Re: Move HostedEngine to new data domain.

2021-01-05 Thread Diggy Mc
Probably not worth the effort for this objective. Nonetheless, I'll put the HE on its own data domain in my new environment. ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement:

[ovirt-users] Move HostedEngine to new data domain.

2021-01-04 Thread Diggy Mc
Running oVirt 4.3.9 and would like to move the HostedEngine VM in its entirety (disks, templates, etc) from its current data domain to a new one. How can this be done? Once the engine VM has been moved, I can simply detach the data domain with all existing VMs from my 4.3 environment and then

[ovirt-users] Re: Moving VMs from 4.3.9 to 4.4.4

2020-12-28 Thread Diggy Mc
Templates? Aren't the VM's templates automatically copied to the export domain when the VM is copied to the export domain as part of the Export operation? Maybe I'm confused about how the export/import operations work and the purpose of the export domain. And noted, I will be sure to only

[ovirt-users] Re: Moving VMs from 4.3.9 to 4.4.4

2020-12-28 Thread Diggy Mc
Is it safe to attach my new 4.4 environment to an export domain at the same time my 4.3 environment is attached to it? I need to start moving VMs from my current 4.3 to my new 4.4 environment. ___ Users mailing list -- users@ovirt.org To unsubscribe

[ovirt-users] 4.4.4 hosted engine deployment failure

2020-12-26 Thread Diggy Mc
While trying to deploy a 4.4.4 hosted engine via the cockpit interface, I received the following error(s): [ INFO ] TASK [ovirt.ovirt.hosted_engine_setup : Obtain SSO token using username/password credentials] [ INFO ] ok: [localhost] [ INFO ] TASK [ovirt.ovirt.hosted_engine_setup : Wait for

[ovirt-users] Re: CentOS 8 is dead

2020-12-25 Thread Diggy Mc
Simon, Do you have a rough guess as to when OLVM 4.4 on OL8 will be released? I'm committed to OL8, but need to decide soon if I should go with oVirt 4.4 on OL8 or wait for OLVM 4.4. ___ Users mailing list -- users@ovirt.org To unsubscribe send an

[ovirt-users] Moving VMs from 4.3.9 to 4.4.4

2020-12-25 Thread Diggy Mc
What is the best way to move VMs from current 4.3.9 to a new 4.4.4. environment? The current environment is running oVirt 4.3.9 (started as 4.3.7). There is a single data domain using NFS on a single NAS. The future oVirt 4.4.4 environment will also have a single data domain using NFS on the

[ovirt-users] Re: CentOS 8 is dead

2020-12-25 Thread Diggy Mc
Is Oracle Linux a viable alternative for the oVirt project? It is, after all, a rebuild of RHEL like CentOS. If not viable, why not? I need to make some decisions posthaste about my pending oVirt 4.4 deployments. ___ Users mailing list --

[ovirt-users] teaming vs bonding

2020-06-10 Thread Diggy Mc
Does 4.4.x support adapter teaming? If yes, which is preferred, teaming or bonding? ___ Users mailing list -- users@ovirt.org To unsubscribe send an email to users-le...@ovirt.org Privacy Statement: https://www.ovirt.org/privacy-policy.html oVirt Code

[ovirt-users] Re: oVirt & Zabbix agent

2020-02-17 Thread Diggy Mc
> Hi, > > We've been running zabbix for years without issues. > > I also really don't know what issues it could cause, it's just an agent > using little resources connecting to a specific port that isn't used by > any other program. > > Haven't heard any issues with it running on any host for

[ovirt-users] oVirt & Zabbix agent

2020-02-14 Thread Diggy Mc
Are there any known issues with running the Zabbix agent on either the Hosted Engine (4.3.8) or oVirt Nodes (4.3.8) ??? I'd like to install the agent while not crashing my hosting environment. ___ Users mailing list -- users@ovirt.org To unsubscribe